PRO ln_locat 
;+ 
; PRO ln_locat 
; ------------------- last changed: 01-Jan-99 
; locates position of a linescan on currently displayed image 
;- 
; ------------ REVISION HISTORY ----------------------- 
; (aph 01-jan-99) segregated from aaa-axis 
; (aph 10-feb-99) fixed code error ! 
 
@axis_com
 
  HANDLE_VALUE, Data(CurBuf), tmp     ;Get the data 
  IF n_tags(tmp) ne 0 THEN BEGIN 
	IF tmp.t EQ '2d' THEN BEGIN 
		LineClear                  ; remove any lines on image from linout 
	    file = PICKFILE2(/Read,filter='*.dat',/lpath, DefPath=DefPath) 
	    openr, lun, file, /get_lun 
	   	x1 = float(0)  &  y1 = float(0) 
		xstep = float(0) 
		npts = fix(0) 
		ystep = float(0) 
		input_string = '' 
	   	readf, lun, input_string 
	   	readf, lun, input_string 
; -------------- from Rick Steele (4-May-98) ------------------- 
; The coordinates on line 2 are given in mm. The numbers on line two are: 
;(1)  starting X position 
;(2)  X step size 
;(3)  starting Y position 
;(4)  Y step size 
;(5)  number of points measured along line 
;So in the example you show, the starting position of the line is, in 
;microns, (-5.8104, -3.4569) and the endpoint of the line is 
;(-5.8104+200*.045021,-3.4569+200*.020232) = (3.1938, 0.5895). 
; ---------------------------------------------------------------- 
	  	reads,input_string, x1, xstep, y1, ystep, npts 
	   	x1 = 1.e3*x1   & y1 = 1.e3*y1	; AXIS expresses distances in microns 
	   	x2 = x1 + (npts-1)*1.e3*xstep 
	   	y2 = y1 + (npts-1)*1.e3*ystep 
	   	print, format='("Linescan: ",i3," pts. (",f6.2,", ",f6.2,") to (",f6.2,", ",f6.2,")")', $ 
	   	    npts, x1, y1, x2, y2 
	   close, lun 
;	   if x1 GT x2 then begin 
;	   		xt = x1 & x1=x2 & x2 = xt   ; ensure low-high order 
;	   endif 
;	   if y1 GT y2 then begin 
;	   		yt = y1 & y1=y2 & y2 = yt 
;	   endif 
;	   if x1 GT max(tmp.x) OR x2 LT min(tmp.x) $ 
;	      OR y1 GT max(tmp.y) OR y2 LT min(tmp.y) then begin 
;	   	  WIDGET_CONTROL, Uprompt, SET_VALUE='Linescans.locate line: line not on scale' 
;	      goto, locate_line_continue 
;	   endif 
;	   if x1 LT tmp.x(0) then x1 = tmp.x(0)         ; plot part on current display 
;	   if x2 GT max(tmp.x) then x2 = max(tmp.x) 
;	   if y1 LT tmp.y(0) then y1 = tmp.y(0) 
;	   if y2 GT max(tmp.y) then y2 = max(tmp.y) 
;	   	print, format='("plotted Linescan: ",i3," pts. (",f6.2,", ",f6.2,") to (",f6.2,", ",f6.2,")")', $ 
;	   	    npts, x1, y1, x2, y2 
 
		plots, x1, y1,/data 
	  	plots, [x1,x2], [y1,y2],/data, thick=2,/continue, color=255 
		LineClear 
locate_line_continue: 
	ENDIF	ELSE WIDGET_CONTROL, Uprompt, SET_VALUE='Linescans.locate line: plot image first' 
  ENDIF 
END 
